.all_link {
  display: inline-flex;
  align-items: center;
  font-size: 14px;
  letter-spacing: 0.4em;
  text-transform: uppercase;
  color: $titleColor;

  @include bellow($mobile) {
    font-size: 12px;
    letter-spacing: 0.2em;
  }

  &::after {
    content: "";
    display: inline-block;
    width: get-vw(130px);
    height: 2px;
    margin-left: 20px;
    background: $black;
    transition: transform 0.85s $cubic;
    transform-origin: 0 50%;
  }

  span {
    position: relative;

    &::after {
      content: "";
      position: absolute;
      top: -0.2em;
      right: 0;
      bottom: -0.2em;
      left: -0.4em;
      z-index: -1;
      display: block;
      margin: auto;
      background: $grayF2;
      transition: transform 0.85s $cubic;
      transform: scaleX(0);
      transform-origin: 0 50%;
    }
  }

  &--white {
    color: $white;

    &::after {
      background: $white;
    }

    span::after {
      background: $textColor;
    }
  }

  &:hover {
    &::after {
      transform: scaleX(0.7);
    }
    span::after {
      transform: scaleX(1);
    }
  }
}

//.btn {
//  position: relative;
//  display: inline-flex;
//  align-items: center;
//  justify-content: space-around;
//  padding: 15px 30px;
//  border-radius: 30px;
//  line-height: 30px;
//  box-sizing: border-box;
//  font-weight: 700;
//  //padding: get-vw(26px) get-vw(40px) get-vw(24px);
//
//  &__name {
//    font-size: 14px;
//  }
//
//  &__icon {
//    margin-left: 30px;
//
//    &--arrow {
//      display: block;
//      width: 31px;
//      height: 17px;
//      //background: url("../images/icons/arrow.svg") 50% 50% no-repeat;
//      background-size: contain;
//    }
//    &--arrow-bottom {
//      display: block;
//      width: 14px;
//      height: 28px;
//      //background: url("../images/icons/arrow--bottom.svg") 50% 50% no-repeat;
//      background-size: contain;
//    }
//  }
//
//  &--pink {
//    background: $pinkDark;
//
//    .btn__name {
//      color: $white;
//    }
//  }
//
//  &:hover {
//
//  }
//
//  &:active {
//
//  }
//}

